Workspaces
Create a new (non-default) workspace; creator becomes Workspace Admin.
AuthorizationBearer <token>
JWT access token. Use: Authorization: Bearer .
In: header
Header Parameters
X-API-Key?string|null
X-EFFICIENTAI-API-KEY?string|null
X-Workspace-Id?string
Optional workspace scope. When omitted, the backend uses the active/default workspace from your organization context.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Body for POST /workspaces.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/workspaces" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6", "name": "string", "slug": "string", "is_default": true, "is_active": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "role_id": "ac4e70c8-d5be-48af-93eb-760f58fc91a9", "role_name": "string", "capabilities": [ "string" ]}Community & contact
- Found a bug or have a feature request? Open a GitHub issue.
- Join our Discord for faster replies!
